# GimpUi.IntComboBox

    from gi.repository import GimpUi

    int_combo_box = GimpUi.IntComboBox(ellipsize=value, label=value, layout=value, value=value)

A widget providing a popup menu of integer values (e.g. enums).

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Bin
          - Gtk.ComboBox
            - GimpUi.IntComboBox

## Methods

- GimpUi.IntComboBox.connect
- GimpUi.IntComboBox.get_active
- GimpUi.IntComboBox.get_active_user_data
- GimpUi.IntComboBox.get_label
- GimpUi.IntComboBox.get_layout
- GimpUi.IntComboBox.set_active
- GimpUi.IntComboBox.set_active_by_user_data
- GimpUi.IntComboBox.set_label
- GimpUi.IntComboBox.set_layout
- GimpUi.IntComboBox.set_sensitivity

## Properties

- ellipsize
- label
- layout
- value

## Fields

- GimpUi.IntComboBox->parent_instance